# Barry::LogLock Class Reference

`#include <log.h>`

List of all members.

## Detailed Description

RAII locking class used to protect the logStream passed into Barry::Init() (common.h).

If the application uses the same stream for its own logging, it should use this lock class, or use the macros in log.h.

Definition at line 38 of file log.h.

The documentation for this class was generated from the following files:

- log.h
- log.cc